<?php
//
//  Copyright : IceWarp France / DARNIS Informatique
//  Date : juin 2018
//  Description : Traiter tous les comptes du type 'utilisateur' de tous les domaines et modifier le champ U_Password à la même valeur qu'avant
//                Afin de traiter les comptes de type administrateur, il faut permettre l'exportation des mots de passe des
//                administrateurs. Cette modification n'est pas sauvegardée dans la base.

if ( !$api = icewarp_apiobjectcall( 0, '', 'IceWarpServer.APIObject' ) )
{
	echo "Erreur initialisation API";
	return;
}

if ( !$account = icewarp_apiobjectcall( 0, '', 'IceWarpServer.AccountObject' ) )
{
	echo "Erreur initialisation API Comptes";
	return;
}

$exportPolicy = icewarp_apiobjectcall( $api, 'GetProperty', 'C_Accounts_Policies_Pass_AllowAdminPass' );
$res = icewarp_apiobjectcall( $api, 'SetProperty', 'C_Accounts_Policies_Pass_AllowAdminPass', 1 );

$domCount = icewarp_apiobjectcall( $api, 'GetDomainCount' );
for ( $i = 0; $i < $domCount; $i++ )
{
	$domain = icewarp_apiobjectcall( $api, 'GetDomain', $i );
	if ( icewarp_apiobjectcall( $account, 'FindInitQuery', $domain, 'U_Type=0' ) )
	{
		while ( icewarp_apiobjectcall( $account, 'FindNext' ) ) 
		{
			$accname = icewarp_apiobjectcall( $account, 'GetProperty', 'U_Name' );
			$accpass = icewarp_apiobjectcall( $account, 'GetProperty', 'U_Password' );
			$accalias = icewarp_apiobjectcall( $account, 'GetProperty', 'U_Alias' );
			$res = icewarp_apiobjectcall( $account, 'SetProperty', 'U_Password', $accpass );
			$res = icewarp_apiobjectcall( $account, 'Save');
			echo "processed account : $accname, $accalias, $accpass </BR>";
		}
	}
	icewarp_apiobjectcall( $account, 'FindDone' ) ;
}

?>
